# Esempi S-PLUS per Osservazione 2000	
# 
# C. Furlanello per P. Venuti
#
# ESEMPIO 1; esempio di display grafico che segnala un'errore di trascrizione

# load excel db: two subjects

library(lattice)

import.data(DataFrame="profilo2",FileName="./profilo1.xls",FileType="EXCEL")
profilo1 <- profilo2[profilo2$Sessione=="1",]

profilo1[profilo1$Soggetto=="S2",]$Valore <- profilo1[profilo1$Soggetto=="S2",]$Valore + rnorm(15,-0.1,.2)

profilo1bis <- profilo1
alto <- profilo1[profilo1$Soggetto=="S2" & profilo1$Categoria=="Associazione",]$Valore
basso <- profilo1[profilo1$Soggetto=="S1" & profilo1$Categoria=="Associazione",]$Valore

profilo1bis[profilo1$Soggetto=="S2" & profilo1$Categoria=="Associazione",]$Valore <- basso
profilo1bis[profilo1$Soggetto=="S1" & profilo1$Categoria=="Associazione",]$Valore <- alto

profilo1 <- profilo1bis

CATEGORIA <- reorder.factor(profilo1[profilo1$Soggetto=="S1",]$Categoria,
profilo1[profilo1$Soggetto=="S1",]$Valore)

profilo1$Categoria <- ordered(profilo1$Categoria, levels=levels(CATEGORIA))

sps <- trellis.par.get("superpose.symbol")   
sps$pch <- c(1,4,2,3,5,6,7)
trellis.par.set("superpose.symbol",sps)

dotplot(Categoria ~ Valore, 
data = profilo1, aspect = 0.4,
panel=panel.superpose,
groups=profilo1$Soggetto,
xlab = "Valore medio della  categoria", 
key = list(text = list(c("Soggetto 1", "Soggetto 2")),
	points= Rows(trellis.par.get("superpose.symbol"),1:2),
	columns = 4),
xlim=c(0.5,5))




